"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Entity = void 0;
const months = ["sty", "lut", "mar", "kwi", "maj", "cze", "lip", "sie", "wrz", "paź", "lis", "gru"];
class Entity {
    priceToFloat(price) {
        return parseFloat(price.replaceAll(",", ".").replace(" zł", "").trim());
    }
    removeEndlines(text) {
        return text.replaceAll("\n", "").trim();
    }
    stringToDate(dateString) {
        const [day, month, year] = dateString.split(" ");
        let monthNumber = 0;
        months.forEach((monthName, index) => {
            if (month.includes(monthName)) {
                monthNumber = index;
            }
        });
        return new Date(Number(year), monthNumber, Number(day));
    }
}
exports.Entity = Entity;
