"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Order = void 0;
const Entity_1 = require("./Entity");
class Order extends Entity_1.Entity {
    constructor(tag, position) {
        super();
        this.tag = tag.toString();
        this.position = position;
        const [date, price, packs] = tag.querySelectorAll("span.order-header__value");
        this.dateString = date.text;
        this.date = this.stringToDate(this.dateString);
        this.priceString = price.text;
        this.price = Number(this.priceToFloat(this.priceString));
        this.packs = Number(packs.text);
        const [orderId] = tag.querySelectorAll("span.order-header__number-value");
        this.id = orderId.text;
    }
    toString() {
        return `Order(${this.id}, ${this.position}): ${this.dateString} - ${this.price}`;
    }
}
exports.Order = Order;
